import instance from './instance';

export const getApplicationList = async () => {
  const response = await instance.get('/api/v1/applications');
  return response.data;
};

export const createApplication = async (data: any) => {
  const response = await instance.post('/api/v1/applications', data);
  return response.data;
};

export const updateApplication = async (id: string, data: any) => {
  const response = await instance.put(`/api/v1/applications/${id}`, data);
  return response.data;
};

export const deleteApplication = async (id: string) => {
  const response = await instance.delete(`/api/v1/applications/${id}`);
  return response.data;
};
